# -*-makefile-*-
#
# Copyright (C) 2010 by Phytec Messtechnik GmbH, Teresa Gámez
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_GSTREAMER_EXAMPLES) += gstreamer_examples

GSTREAMER_EXAMPLES_VERSION	:= 1.5

$(STATEDIR)/gstreamer_examples.targetinstall:
	@$(call targetinfo)

	@$(call install_init,gstreamer_examples)
	@$(call install_fixup,gstreamer_examples,PRIORITY,optional)
	@$(call install_fixup,gstreamer_examples,SECTION,base)
	@$(call install_fixup,gstreamer_examples,AUTHOR,"Teresa Gamez")
	@$(call install_fixup,gstreamer_examples,DESCRIPTION,missing)

	@$(call install_alternative_tree, gstreamer_examples, 0, 0, /home/gstreamer_examples)


	@$(call install_finish, gstreamer_examples)
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

# vim: syntax=make
