# -*-makefile-*-
# $Id: template-make 9053 2008-11-03 10:58:48Z wsa $
#
# Copyright (C) 2012 Phytec
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_USBINIT) += usbinit
USBINIT_VERSION	:= 1

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

$(USBINIT_SOURCE):
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/usbinit.extract:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------


# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/usbinit.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/usbinit.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/usbinit.targetinstall:
	@$(call targetinfo)
	@$(call install_init,  usbinit)
ifdef PTXCONF_INITMETHOD_BBINIT
	@$(call install_copy, usbinit, 0, 0, 0755, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/init.d/usb, \
		/etc/init.d/usb, n)
ifneq ($(call remove_quotes,$(PTXCONF_USBINIT_BBINIT_LINK)),)
	@$(call install_link, usbinit, \
		../init.d/usb, \
		/etc/rc.d/$(PTXCONF_USBINIT_BBINIT_LINK))
endif
endif
	@$(call install_finish, usbinit)
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

# vim: syntax=make
